Package org.apache.sling.pipes

## Class ExecutionResult

- java.lang.Object
- - org.apache.sling.pipes.ExecutionResult

    public class ExecutionResult
    extends Object

holds results of the execution

### Constructor Summary

Constructors
`ExecutionResult​(OutputWriter writer)` Constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addError​(String error)`
`void` `addResultItem​(org.apache.sling.api.resource.Resource resource)` Add a resource to the results
`CompositeData` `asCompositeData()`
`void` `emptyCurrentSet()` Empty the current path set
`Collection<String>` `getCurrentPathSet()` return currentPathSet
`long` `size()` amount of changed items
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ExecutionResult

    public ExecutionResult​(OutputWriter writer)

Constructor

Parameters:
  `writer` - output writer around which to create the result

### Method Detail

#### addResultItem

    public void addResultItem​(org.apache.sling.api.resource.Resource resource)

Add a resource to the results

Parameters:
  `resource` - resource to add

#### emptyCurrentSet

    public void emptyCurrentSet()

Empty the current path set

#### getCurrentPathSet

    public Collection<String> getCurrentPathSet()

return currentPathSet

Returns:
  current path set

#### size

    public long size()

amount of changed items

Returns:
  total size of changed items

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### asCompositeData

    public CompositeData asCompositeData()
                                  throws OpenDataException

Returns:
  Composite data view of that result. With size of the execution, and string output (can be json, csv, ...)
Throws:
  `OpenDataException` - in case something went wrong building up the composite data

#### addError

    public void addError​(String error)

Parameters:
  `error` - path to record